<?php 


/*-----------------------------------------------------------------------------------*/
/*  feature custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'appstar_feature_posttype_init' );
if ( !function_exists( 'appstar_feature_posttype_init' ) ) :
function appstar_feature_posttype_init() {

    $feature_labels = array(
        'name' => _x('Feature', 'post type general name','appstar'),
        'singular_name' => _x('Feature', 'post type singular name','appstar'),
        'add_new' => _x('Add New', 'Portfolio','appstar'),
        'add_new_item' => __('Add New Feature','appstar'),
        'edit_item' => __('Edit Feature','appstar'),
        'new_item' => __('New Feature','appstar'),
        'all_items' => __('All Features','appstar'), 
        'view_item' => __('View Feature','appstar'),
        'search_items' => __('Search Feature','appstar'),
        'not_found' =>  __('No Feature found','appstar'),
        'not_found_in_trash' => __('No Features found in Trash','appstar'), 
        'parent_item_colon' => '',
        'menu_name' => __('Features','appstar')

    );
    $feature_args = array(
        'labels' => $feature_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'post',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 4,
        'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-feature.png', 
        'supports' => array( 'title', 'editor' )
    ); 
    register_post_type( 'feature', $feature_args );

 }  
endif;



/*-----------------------------------------------------------------------------------*/
/*  screenshots custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'appstar_screenshots_posttype_init' );
if ( !function_exists( 'appstar_screenshots_posttype_init' ) ) :
function appstar_screenshots_posttype_init() {

    $Screenshot_labels = array(
        'name' => _x('Screenshot', 'post type general name','appstar'),
        'singular_name' => _x('Screenshots', 'post type singular name','appstar'),
        'add_new' => _x('Add New', 'Portfolio','appstar'),
        'add_new_item' => __('Add New Screenshot','appstar'),
        'edit_item' => __('Edit Screenshot','appstar'),
        'new_item' => __('New Screenshot','appstar'),
        'all_items' => __('All Screenshots','appstar'), 
        'view_item' => __('View Screenshot','appstar'),
        'search_items' => __('Search Screenshot','appstar'),
        'not_found' =>  __('No Screenshot found','appstar'),
        'not_found_in_trash' => __('No Screenshots found in Trash','appstar'), 
        'parent_item_colon' => '',
        'menu_name' => __('Screenshots','appstar')

    );
    $screenshot_args = array(
        'labels' => $Screenshot_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'post',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 6,
        'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-Screenshots.png', 
        'supports' => array( 'title' )
    ); 
    register_post_type( 'screenshots', $screenshot_args );

 }
endif;



/*-----------------------------------------------------------------------------------*/
/*  testimonial custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'appstar_testimonial_posttype_init' );
if ( !function_exists( 'appstar_testimonial_posttype_init' ) ) :
function appstar_testimonial_posttype_init() {

  $testimonial_labels = array(
    'name' => _x('Testimonial', 'post type general name','appstar'),
    'singular_name' => _x('Testimonials', 'post type singular name','appstar'),
    'add_new' => _x('Add New', 'Testimonial','appstar'),
    'add_new_item' => __('Add New Testimonial','appstar'),
    'edit_item' => __('Edit Testimonial','appstar'),
    'new_item' => __('New Testimonial','appstar'),
    'all_items' => __('All Testimonials','appstar'), 
    'view_item' => __('View Testimonial','appstar'),
    'search_items' => __('Search Testimonial','appstar'),
    'not_found' =>  __('No Testimonial found','appstar'),
    'not_found_in_trash' => __('No Testimonial found in Trash','appstar'), 
    'parent_item_colon' => '',
    'menu_name' => __('Testimonials','appstar')

  );
  
  $testimonial_args = array(
    'labels' => $testimonial_labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => false,
    'rewrite' => false,
    'capability_type' => 'post',
    'has_archive' => false, 
    'hierarchical' => false,
    'exclude_from_search' => true,
    'menu_position' => 7,
    'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-testimonial.png', 
    'supports' => array( 'title', 'editor')
  ); 
  register_post_type( 'testimonial', $testimonial_args );

 }
endif;


/*-----------------------------------------------------------------------------------*/
/*  pricing custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'appstar_pricing_posttype_init' );
if ( !function_exists( 'appstar_pricing_posttype_init' ) ) :
function appstar_pricing_posttype_init() {

  $pricing_labels = array(
    'name' => _x('Pricing tables', 'post type general name','appstar'),
    'singular_name' => _x('Pricing table', 'post type singular name','appstar'),
    'add_new' => _x('Add New', 'Pricing','appstar'),
    'add_new_item' => __('Add New Pricing','appstar'),
    'edit_item' => __('Edit pricing','appstar'),
    'new_item' => __('New Pricing','appstar'),
    'all_items' => __('All pricing tables','appstar'), 
    'view_item' => __('View pricing','appstar'),
    'search_items' => __('Search pricing','appstar'),
    'not_found' =>  __('No pricing found','appstar'),
    'not_found_in_trash' => __('No pricing found in Trash','appstar'), 
    'parent_item_colon' => '',
    'menu_name' => __('Pricing Tables','appstar')

  );
  
  $pricing_args = array(
    'labels' => $pricing_labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => false,
    'rewrite' => false,
    'capability_type' => 'post',
    'has_archive' => false, 
    'hierarchical' => false,
    'exclude_from_search' => true,
    'menu_position' => 8,
    'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-pricing.png', 
    'supports' => array( 'title', 'editor' )
  ); 
  register_post_type( 'pricing', $pricing_args );

 }
endif;


/*-----------------------------------------------------------------------------------*/
/*  OnePage custom post type.
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'appstar_onepage_posttype_init' );
if ( !function_exists( 'appstar_onepage_posttype_init' ) ) :
function appstar_onepage_posttype_init() {

    $onepage_labels = array(
        'name' => _x('OnePage Section', 'post type general name','appstar'),
        'singular_name' => _x('OnePage', 'post type singular name','appstar'),
        'add_new' => _x('Add New Section', 'Section','appstar'),
        'add_new_item' => __('Add New Section','appstar'),
        'edit_item' => __('Edit Section','appstar'),
        'new_item' => __('New Section','appstar'),
        'all_items' => __('All Sections','appstar'), 
        'view_item' => __('View Section','appstar'),
        'search_items' => __('Search Section','appstar'),
        'not_found' =>  __('No Section found','appstar'),
        'not_found_in_trash' => __('No Sections found in Trash','appstar'), 
        'parent_item_colon' => '',
        'menu_name' => __('OnePage Section','appstar')

    );
    $onepage_args = array(
        'labels' => $onepage_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,  
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'page',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 6,
        'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-onepage.png', 
        'supports' => array( 'title','editor','revisions','page-attributes' ) 
    ); 
    register_post_type( 'onepage', $onepage_args );

 }
endif;


