<?php
/**
 * Define the shortcode parameters
 *
 * @package ZillaShortcodes
 * @since 1.0
 */


/*-----------------------------------------------------------------------------------*/
/*  Section title Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['section_title'] = array(
  'title' => __('Section Title', 'tzsc'),
  'id'         => 'appstar-section-title',
  'template' => '[section_title {{attributes}}] {{content}} [/section_title]',
  'params' => array(
    'title' => array(
      'std' => 'Secton title',
      'type' => 'text',
      'label' => __('Section title', 'appstar'),
      'desc' => __('Put title here', 'appstar'),
    ),
    'line_image' => array(
      'std' => TZSC_PLUGIN_URL. 'assets/img/default-line.png',
      'type' => 'text',
      'label' => __('Section line image', 'appstar'),
      'desc' => __('put image url like(http://www.example/default-line.png)', 'appstar'),
    ), 
    'alt' => array(
      'std' => 'Image Alt text',
      'type' => 'text',
      'label' => __('Alt text', 'appstar'),
      'desc' => __('Put text here', 'appstar'),
    ),
    'sub_title' => array(
      'std' => 'Subtitle',
      'type' => 'text',
      'label' => __('Subtitle', 'appstar'),
      'desc' => __('Put Subtitle', 'appstar'),
    )   
  )
);



/*-----------------------------------------------------------------------------------*/
/*  Features Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['feature'] = array(
  'title' => __('Features', 'tzsc'),
  'id'         => 'appstar-featurs',
  'template' => '[feature {{attributes}}] {{content}} [/feature]',
  'params' => array(
    'posts_per_page' => array(
      'std' => '6',
      'type' => 'text',
      'label' => __('Put Number', 'appstar'),
      'desc' => __('How much should be appear', 'appstar'),
    ),  
    'order' => array(
      'std' => 'Order',
      'type' => 'select',
      'label' => __('Choose order', 'appstar'),
      'desc' => __('Choose order of feature post', 'appstar'),
      'options' => array(
        'ASC' => 'ASC',
        'DESC' => 'DESC'
      )
    )    
  )
);



/*-----------------------------------------------------------------------------------*/
/*  Screenshots Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['screenshots'] = array(
  'title' => __('Screenshots', 'tzsc'),
  'id'         => 'appstar-screenshots',
  'template' => '[screenshots {{attributes}}] {{content}} [/screenshots]',
  'params' => array(
    'posts_per_page' => array(
      'std' => '10',
      'type' => 'text',
      'label' => __('Put Number', 'appstar'),
      'desc' => __('How much should be appear', 'appstar'),
    ),  
    'order' => array(
      'std' => 'Order',
      'type' => 'select',
      'label' => __('Choose order', 'appstar'),
      'desc' => __('Choose order of screenshots post', 'appstar'),
      'options' => array(
        'ASC' => 'ASC',
        'DESC' => 'DESC'
      )
    )    
  )
);



/*-----------------------------------------------------------------------------------*/
/*  Testimonial Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['testimonial'] = array(
  'title' => __('Testimonial', 'tzsc'),
  'id'         => 'appstar-testimonial',
  'template' => '[testimonial {{attributes}}] {{content}} [/testimonial]',
  'params' => array(
    'posts_per_page' => array(
      'std' => '3',
      'type' => 'text',
      'label' => __('Put Number', 'appstar'),
      'desc' => __('How much should be appear', 'appstar'),
    ),  
    'order' => array(
      'std' => 'Order',
      'type' => 'select',
      'label' => __('Choose order', 'appstar'),
      'desc' => __('Choose order of testimonial post', 'appstar'),
      'options' => array(
        'ASC' => 'ASC',
        'DESC' => 'DESC'
      )
    )    
  )
);



/*-----------------------------------------------------------------------------------*/
/*  Pricing table Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['pricing_table'] = array(
  'title' => __('Pricing Table', 'tzsc'),
  'id'         => 'appstar-pricing-table',
  'template' => '[pricing_table {{attributes}}] {{content}} [/pricing_table]',
  'params' => array(
    'posts_per_page' => array(
      'std' => '3',
      'type' => 'text',
      'label' => __('Peste Number', 'appstar'),
      'desc' => __('How much should be appear (highest 3)', 'appstar'),
    ),  
    'order' => array(
      'std' => 'Order',
      'type' => 'select',
      'label' => __('Choose order', 'appstar'),
      'desc' => __('Choose order of Pricing table post', 'appstar'),
      'options' => array(
        'ASC' => 'ASC',
        'DESC' => 'DESC'
      )
    )    
  )
);



/*-----------------------------------------------------------------------------------*/
/*  App_explain Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['app_explain'] = array(
  'title' => __('App Explain', 'tzsc'),
  'id'         => 'appstar-app-explain',
  'template' => '[app_explain {{attributes}}] {{content}} [/app_explain]',
  'params' => array(
    'title' => array(
      'std' => 'Explain the App why it\'s best',
      'type' => 'text',
      'label' => __('Explain title', 'appstar'),
      'desc' => __('Put explain title here', 'appstar'),
    )     
  )
);



/*-----------------------------------------------------------------------------------*/
/*  Blog post Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['blog_post'] = array(
  'title' => __('Blog Post', 'tzsc'),
  'id'         => 'appstar-blog-post',
  'template' => '[blog_post {{attributes}}] {{content}} [/blog_post]',
  'params' => array(
    'posts_per_page' => array(
      'std' => 3,
      'type' => 'text',
      'label' => __('Peste Number', 'appstar'),
      'desc' => __('How much should be appear (highest 3)', 'appstar'),
    ),  
    'order' => array(
      'std' => 'Order',
      'type' => 'select',
      'label' => __('Choose order', 'appstar'),
      'desc' => __('Choose order of Blog post', 'appstar'),
      'options' => array(
        'ASC' => 'ASC',
        'DESC' => 'DESC'
      )
    )    
  )
);


/*-----------------------------------------------------------------------------------*/
/*  container Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['container'] = array(
  'title' => __('Container', 'tzsc'),
  'id'         => 'appstar-container',
  'template' => '[container {{attributes}}] {{content}} [/container]',
  'params' => array(
    'margin_top' => array(
      'std' => '0px',
      'type' => 'text',
      'label' => __('Margin top', 'appstar'),
      'desc' => __('Put container margin top default(0)', 'appstar'),
    ),   
    'content' => array(
      'std' => 'Content',
      'type' => 'textarea',
      'label' => __('Put your content here or shortcode', 'appstar'),
      'desc' => __('Put your content here', 'appstar'),
    )    
  )
);



/*-----------------------------------------------------------------------------------*/
/*  Columns Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['columns'] = array(
  'title' => __('Columns', 'tzsc'),
  'id' => 'tzsc-columns-shortcode',
  'template' => ' {{child_shortcode}} ', // There is no wrapper shortcode
  'notes' => __('Click \'Add Column\' to add a new column. Drag and drop to reorder columns.', 'tzsc'),
  'params' => array(),
  'child_shortcode' => array(
    'params' => array(
      'column' => array(
        'type' => 'select',
        'label' => __('Column Type', 'tzsc'),
        'desc' => __('Select the width of the column.', 'tzsc'),
        'options' => array(
          'one-third' => __('One Third', 'tzsc'),
          'two-third' => __('Two Thirds', 'tzsc'),
          'one-half' => __('One Half', 'tzsc'),
          'one-fourth' => __('One Fourth', 'tzsc'),
          'three-fourth' => __('Three Fourth', 'tzsc'),
          'one-fifth' => __('One Fifth', 'tzsc'),
          'two-fifth' => __('Two Fifth', 'tzsc'),
          'three-fifth' => __('Three Fifth', 'tzsc'),
          'four-fifth' => __('Four Fifth', 'tzsc'),
          'one-sixth' => __('One Sixth', 'tzsc'),
          'five-sixth' => __('Five Sixth', 'tzsc')
        )
      ),
      'last' => array(
        'type' => 'checkbox',
        'label' => __('Last column', 'tzsc'),
        'desc' => __('Set whether this is the last column.', 'tzsc'),
        'default' => false
      ),
      'content' => array(
        'std' => __('Column content', 'tzsc'),
        'type' => 'textarea',
        'label' => __('Column Content', 'tzsc'),
        'desc' => __('Add the column content.', 'tzsc')
      )
    ),
    'template' => '[zilla_column {{attributes}}] {{content}} [/zilla_column]',
    'clone_button' => __('Add Column', 'tzsc')
  )
);



/*-----------------------------------------------------------------------------------*/
/*  Tabs Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['tabs'] = array(
    'title' => __('Tab', 'tzsc'),
    'id' => 'tzsc-tabs-shortcode',
    'template' => '[zilla_tabs] {{child_shortcode}} [/zilla_tabs]',
    'notes' => __('Click \'Add Tag\' to add a new tag. Drag and drop to reorder tabs.', 'tzsc'),
    'params' => array(),
    'child_shortcode' => array(
        'params' => array(
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Tab Title', 'tzsc'),
                'desc' => __('Title of the tab.', 'tzsc'),
            ),
            'content' => array(
                'std' => 'Tab Content',
                'type' => 'textarea',
                'label' => __('Tab Content', 'tzsc'),
                'desc' => __('Add the tabs content.', 'tzsc')
            )
        ),
        'template' => '[zilla_tab {{attributes}}] {{content}} [/zilla_tab]',
        'clone_button' => __('Add Tab', 'tzsc')
    )
);


/*-----------------------------------------------------------------------------------*/
/*  Divider Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['divider'] = array(
  'title' => __('Divider', 'tzsc'),
  'id'         => 'appstar-divider',
  'template' => '[divider {{attributes}}] {{content}} [/divider]',
    'params' => array(
        'divider_container' => array(
          'type' => 'select',
          'label' => __('Divider', 'appstar'),
          'desc' => __('Select divider width', 'appstar'),
          'options' => array(
            'container' => 'Container',
            'container-fluid' => 'Container fluid'
          )
        ),
        'margin_top' => array(
          'std' => '20px',
          'type' => 'text',
          'label' => __('Margin top', 'appstar'),
          'desc' => __('Put container margin top default(20px)', 'appstar'),
        ), 
        'margin_bottom' => array(
          'std' => '20px',
          'type' => 'text',
          'label' => __('Margin Bottom', 'appstar'),
          'desc' => __('Put container margin bottom default(20px)', 'appstar'),
        )
      )
);


/*-----------------------------------------------------------------------------------*/
/*	Button Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['zilla_button'] = array(
  'title' => __('Button', 'tzsc'),
  'id'         => 'appstar-button',
  'template' => '[zilla_button {{attributes}}] {{content}} [/zilla_button]',
	'params' => array(
		'url' => array(
			'std' => '',
			'type' => 'text', 
			'label' => __('Button URL', 'appstar'),
			'desc' => __('Add the button\'s url eg http://example.com', 'appstar')
		),
    'icon' => array(
      'std' => 'fa-facebook',
      'type' => 'text', 
      'label' => __('Button icon', 'appstar'),
      'desc' => __('Add the icon like fa-facebook, fa-twitter from (http://fontawesome.io/icons/)', 'appstar')
    ),
    'icon_size' => array(
      'std' => '20px',
      'type' => 'text', 
      'label' => __('Button icon size', 'appstar'),
      'desc' => __('Add the icon size default (20px)', 'appstar')
    ),
    'icon_color' => array(
      'std' => '#000',
      'type' => 'text', 
      'label' => __('Button icon color', 'appstar'),
      'desc' => __('Put icon color default (#000)', 'appstar')
    ),
    'hover_icon_color' => array(
      'std' => '#EF1767',
      'type' => 'text', 
      'label' => __('Button hover icon color', 'appstar'),
      'desc' => __('Put hover icon color default (#EF1767)', 'appstar')
    ),
    'icon_padding' => array(
      'std' => '0 15px 0 0',
      'type' => 'text', 
      'label' => __('Button icon padding', 'appstar'),
      'desc' => __('Put icon padding default (0 15px 0 0)', 'appstar')
    ),
    'text_color' => array(
      'std' => '#000',
      'type' => 'text', 
      'label' => __('Button Text color', 'appstar'),
      'desc' => __('Put color default(#000000)', 'appstar')
    ),
    'font_size' => array(
      'std' => '20px',
      'type' => 'text', 
      'label' => __('Button font size', 'appstar'),
      'desc' => __('Put font size default(20px)', 'appstar')
    ),
    'hover_color' => array(
      'std' => '#EF1767',
      'type' => 'text', 
      'label' => __('Button hover Text color', 'appstar'),
      'desc' => __('Put hover color default(#EF1767)', 'appstar')
    ),
    'bg_color' => array(
      'std' => '#fff',
      'type' => 'text', 
      'label' => __('Button Background color', 'appstar'),
      'desc' => __('Put Background color default(#ffffff)', 'appstar')
    ),
    'hover_bg_color' => array(
      'std' => '#fff',
      'type' => 'text', 
      'label' => __('Button hover Background color', 'appstar'),
      'desc' => __('Put hover Background color default(#ffffff)', 'appstar')
    ),
    'border' => array(
      'std' => '2px solid #ddd',
      'type' => 'text', 
      'label' => __('Button border color', 'appstar'),
      'desc' => __('Put Border width, style, and color default(2px solid #ddd)', 'appstar')
    ),
    'hover_border' => array(
      'std' => '2px solid #EF1767',
      'type' => 'text', 
      'label' => __('Button hover border width, style, and color', 'appstar'),
      'desc' => __('Put hover Border width, style, and color default(2px solid #EF1767)', 'appstar')
    ),
    'border_radius' => array(
      'std' => '5px',
      'type' => 'text', 
      'label' => __('Button Border radius', 'appstar'),
      'desc' => __('Put border radius default (5px)', 'appstar')
    ),
    'button_padding' => array(
      'std' => '10px 15px',
      'type' => 'text', 
      'label' => __('Button Padding', 'appstar'),
      'desc' => __('Put padding default (10px 15px)', 'appstar')
    ),
		'target' => array(
			'type' => 'select',
			'label' => __('Button Target', 'appstar'),
			'desc' => __('_self = open in same window. _blank = open in new window', 'appstar'),
			'options' => array(
				'_self' => '_self',
				'_blank' => '_blank'
			)
		),
		'content' => array(
			'std' => 'Button Label',
			'type' => 'text',
			'label' => __('Button\'s Label', 'appstar'),
			'desc' => __('Add the button\'s label', 'appstar'),
		)
	)
);



/*-----------------------------------------------------------------------------------*/
/*	Alert Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['alert'] = array(
  'title' => __('alert', 'tzsc'),
  'id'         => 'appstar-alert',
  'template' => '[alert {{attributes}}] {{content}} [/alert]',
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Alert Style', 'appstar'),
			'desc' => __('Select the alert\'s style, ie the alert colour', 'appstar'),
			'options' => array(
				'alert-warning' => 'Yellow',
				'alert-danger' => 'Red',
				'alert-info' => 'Blue',
				'alert-success' => 'Green'
			)
		),
		'content' => array(
			'std' => 'Your Alert!',
			'type' => 'textarea',
			'label' => __('Alert Text', 'appstar'),
			'desc' => __('Add the alert\'s text', 'appstar'),
		)
		
	)
);


/*-----------------------------------------------------------------------------------*/
/*	Accordion Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['accordion'] = array(
	'title' => __('Accordion', 'tzsc'),
	'id' => 'appstar-according',
	'template' => ' {{child_shortcode}} ', // There is no wrapper shortcode
	'notes' => __('Click \'Accordion\' to add a new accordion', 'tzsc'),
	'params' => array(),

    'child_shortcode' => array(
        'params' => array(
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Tab Title', 'appstar'),
                'desc' => __('Title of the tab', 'appstar'),
            ),
            'content' => array(
                'std' => 'Tab Content',
                'type' => 'textarea',
                'label' => __('Tab Content', 'appstar'),
                'desc' => __('Add the tabs content', 'appstar')
            )
        ),

 		'template' => '[accordion {{attributes}}] {{content}} [/accordion]',
		'clone_button' => __('Add Accordion', 'tzsc')
    )
);


/*-----------------------------------------------------------------------------------*/
/*	Social Icons Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['social_icon'] = array(
	  'title' => __('Social icon', 'tzsc'),
	  'id'         => 'appstar-social-icon',
	  'template' => '[social_icon {{attributes}}] {{content}} [/social_icon]',
		'params' => array(
			'title' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Title', 'appstar'),
        'desc' => '',
      ),
			'icon' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Font Awesome Icon', 'appstar'),
				'desc' => 'Example: fa-facebook, fa-twitter, fa-google-plus (<a href="'.esc_url('http://fortawesome.github.io/Font-Awesome/cheatsheet/').'" target="_blank">All icons</a>)',
			),
			'payoff' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Payoff', 'appstar'),
        'desc' => '',
      ),
      'url' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Url Account', 'appstar'),
        'desc' => '',
      ),
			'target' => array(
        'type' => 'select',
        'label' => __('target', 'appstar'),
        'desc' => __('', 'appstar'),
        'options' => array(
          '_self' => '_self',
          '_blank' => '_blank',
        )
      ),
	)
);


/*-----------------------------------------------------------------------------------*/
/*	Content Box Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['content_box'] = array(
	  'title' => __('Content box', 'tzsc'),
	  'id'         => 'appstar-content-box',
	  'template' => '[content_box {{attributes}}] {{content}} [/content_box]',
		'params' => array(
			'icon' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Font Awesome Icon', 'appstar'),
        'desc' => 'Example: fa-search, fa-magic, fa-cloud <a href="'.esc_url('http://fortawesome.github.io/Font-Awesome/cheatsheet/').'" target="_blank">(All icons)</a>',
      ),
			'title' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Title', 'appstar'),
				'desc' => __('Title of the Callout Box', 'appstar'),
			),
			'link' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Link', 'appstar'),
        'desc' => __('link destination (optional)', 'appstar'),
      ),
			'content' => array(
				'std' => '',
				'type' => 'textarea',
				'label' => __('Content', 'appstar'),
				'desc' => __('', 'appstar'),
			),
			'style' => array(
				'type' => 'select',
				'std' => 'style1',
				'label' => __('Select Style', 'appstar'),
				'desc' => __('Select the style content box', 'appstar'),
				'options' => array(
					'style1' => 'Style 1',
					'style2' => 'Style 2',
				)
			)
		)
);



/*-----------------------------------------------------------------------------------*/
/*  Image Box Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['image_box'] = array(
	'title' => __('Image box', 'tzsc'),
	'id'         => 'appstar-image-box',
	'template' => '[image_box {{attributes}}] {{content}} [/image_box]',
    'params' => array(
      'image' => array(
        'std' => TZSC_PLUGIN_URL. 'assets/img/demo-image.jpg',
        'type' => 'text',
        'label' => __('Image', 'appstar'),
        'desc' => __('put image url like(http://www.example/demo-image.jpg)', 'appstar'),
      ),
      'image_style' => array(
        'type' => 'select',
        'label' => __('Image style', 'appstar'),
        'desc' => __('', 'appstar'),
        'options' => array(
          'img-circle' => 'Circle',
          '' => 'Normal',
        )
      ),
      'image_animation' => array(
        'type' => 'select',
        'label' => __('Image animation', 'appstar'),
        'desc' => __('', 'appstar'),
        'options' => array(
          'rotate' => 'Rotate',
          '' => 'None',
        )
      ),
      'url' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Url', 'appstar'),
        'desc' => __('link destination (optional)', 'appstar'),
      ),
      'title' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Title', 'appstar'),
        'desc' => __('Title of the Image Box', 'appstar'),
      ),
      'content' => array(
        'std' => '',
        'type' => 'textarea',
        'label' => __('Content', 'appstar'),
        'desc' => __('Description of the Image Box', 'appstar'),
      )
      
    )
);



/*-----------------------------------------------------------------------------------*/
/*	Number Details Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['number_details'] = array(
	    'title' => __('Number Details', 'tzsc'),
		'id'         => 'appstar-number-details',
		'template' => '[number_details {{attributes}}] {{content}} [/number_details]',
		'params' => array(
			'icon' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Font Awesome Icon', 'appstar'),
        'desc' => 'Example: fa-flag, fa-coffee, fa-rocket <a href="'.esc_url('http://fortawesome.github.io/Font-Awesome/cheatsheet/').'" target="_blank">(All icons)</a>',
      ),
			'number' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Number', 'appstar'),
				'desc' => __('', 'appstar'),
			),
			'number_details' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Number Details', 'appstar'),
				'desc' => __('', 'appstar'),
			), 
    )
);		



/*-----------------------------------------------------------------------------------*/
/*	Contact Details Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['contact_details'] = array(
	    'title' => __('Contact Details', 'tzsc'),
		'id'         => 'appstar-contact-details',
		'template' => '[contact_details {{attributes}}] {{content}} [/contact_details]',
		'params' => array(
			'phone' => array(
        'std' => '',
        'type' => 'text',
        'label' => __('Phone', 'appstar'),
        'desc' => __('', 'appstar'),
      ),
			'address' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Address', 'appstar'),
				'desc' => __('', 'appstar'),
			),
			'fax' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Fax', 'appstar'),
				'desc' => __('', 'appstar'),
			),
			'mail' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Mail', 'appstar'),
				'desc' => __('', 'appstar'),
			)
		)
);


/*-----------------------------------------------------------------------------------*/
/*  Video Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['video'] = array(
	'title' => __('Video', 'tzsc'),
	'id'         => 'appstar-video',
	'template' => '[video {{attributes}}] {{content}} [/video]',
	'params' => array(
	'content' => array(
	  'std' => '',
	  'type' => 'text',
	  'label' => __('Video Iframe', 'appstar'),
	  'desc' => __('Add Youtube or Vimeo iframe', 'appstar'),
	)

	)
);


?>

































