<?php 


/*-----------------------------------------------------------------------------------*/
/*  service custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'business_service_posttype_init' );
if ( !function_exists( 'business_service_posttype_init' ) ) :
function business_service_posttype_init() {

    $service_labels = array(
        'name' => _x('Service', 'post type general name','business-x'),
        'singular_name' => _x('Service', 'post type singular name','business-x'),
        'add_new' => _x('Add New', 'Service','business-x'),
        'add_new_item' => __('Add New Service','business-x'),
        'edit_item' => __('Edit Service','business-x'),
        'new_item' => __('New Service','business-x'),
        'all_items' => __('All Services','business-x'), 
        'view_item' => __('View Service','business-x'),
        'search_items' => __('Search Service','business-x'),
        'not_found' =>  __('No Service found','business-x'),
        'not_found_in_trash' => __('No services found in Trash','business-x'), 
        'parent_item_colon' => '',
        'menu_name' => __('Services','business-x')

    );
    $service_args = array(
        'labels' => $service_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'post',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 4,
        'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-service.png', 
        'supports' => array( 'title', 'editor' )
    ); 
    register_post_type( 'service', $service_args );

 }  
endif;



/*-----------------------------------------------------------------------------------*/
/*  portfolios custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'business_portfolios_posttype_init' );
if ( !function_exists( 'business_portfolios_posttype_init' ) ) :
function business_portfolios_posttype_init() {

    $Screenshot_labels = array(
        'name' => _x('Screenshot', 'post type general name','business-x'),
        'singular_name' => _x('portfolios', 'post type singular name','business-x'),
        'add_new' => _x('Add New', 'Portfolio','business-x'),
        'add_new_item' => __('Add New Screenshot','business-x'),
        'edit_item' => __('Edit Screenshot','business-x'),
        'new_item' => __('New Screenshot','business-x'),
        'all_items' => __('All portfolios','business-x'), 
        'view_item' => __('View Screenshot','business-x'),
        'search_items' => __('Search Screenshot','business-x'),
        'not_found' =>  __('No Screenshot found','business-x'),
        'not_found_in_trash' => __('No portfolios found in Trash','business-x'), 
        'parent_item_colon' => '',
        'menu_name' => __('portfolios','business-x')

    );
    $screenshot_args = array(
        'labels' => $Screenshot_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'post',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 6,
        'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-portfolios.png', 
        'supports' => array( 'title' )
    ); 
    register_post_type( 'portfolios', $screenshot_args );

 }
endif;



/*-----------------------------------------------------------------------------------*/
/*  testimonial custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'business_testimonial_posttype_init' );
if ( !function_exists( 'business_testimonial_posttype_init' ) ) :
function business_testimonial_posttype_init() {

  $testimonial_labels = array(
    'name' => _x('Testimonial', 'post type general name','business-x'),
    'singular_name' => _x('Testimonials', 'post type singular name','business-x'),
    'add_new' => _x('Add New', 'Testimonial','business-x'),
    'add_new_item' => __('Add New Testimonial','business-x'),
    'edit_item' => __('Edit Testimonial','business-x'),
    'new_item' => __('New Testimonial','business-x'),
    'all_items' => __('All Testimonials','business-x'), 
    'view_item' => __('View Testimonial','business-x'),
    'search_items' => __('Search Testimonial','business-x'),
    'not_found' =>  __('No Testimonial found','business-x'),
    'not_found_in_trash' => __('No Testimonial found in Trash','business-x'), 
    'parent_item_colon' => '',
    'menu_name' => __('Testimonials','business-x')

  );
  
  $testimonial_args = array(
    'labels' => $testimonial_labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => false,
    'rewrite' => false,
    'capability_type' => 'post',
    'has_archive' => false, 
    'hierarchical' => false,
    'exclude_from_search' => true,
    'menu_position' => 7,
    'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-testimonial.png', 
    'supports' => array( 'title', 'editor')
  ); 
  register_post_type( 'testimonial', $testimonial_args );

 }
endif;


/*-----------------------------------------------------------------------------------*/
/*  pricing custom post type
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'business_pricing_posttype_init' );
if ( !function_exists( 'business_pricing_posttype_init' ) ) :
function business_pricing_posttype_init() {

  $pricing_labels = array(
    'name' => _x('Pricing tables', 'post type general name','business-x'),
    'singular_name' => _x('Pricing table', 'post type singular name','business-x'),
    'add_new' => _x('Add New', 'Pricing','business-x'),
    'add_new_item' => __('Add New Pricing','business-x'),
    'edit_item' => __('Edit pricing','business-x'),
    'new_item' => __('New Pricing','business-x'),
    'all_items' => __('All pricing tables','business-x'), 
    'view_item' => __('View pricing','business-x'),
    'search_items' => __('Search pricing','business-x'),
    'not_found' =>  __('No pricing found','business-x'),
    'not_found_in_trash' => __('No pricing found in Trash','business-x'), 
    'parent_item_colon' => '',
    'menu_name' => __('Pricing Tables','business-x')

  );
  
  $pricing_args = array(
    'labels' => $pricing_labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => false,
    'rewrite' => false,
    'capability_type' => 'post',
    'has_archive' => false, 
    'hierarchical' => false,
    'exclude_from_search' => true,
    'menu_position' => 8,
    'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-pricing.png', 
    'supports' => array( 'title', 'editor' )
  ); 
  register_post_type( 'pricing', $pricing_args );

 }
endif;


/*-----------------------------------------------------------------------------------*/
/*  OnePage custom post type.
/*-----------------------------------------------------------------------------------*/
add_action( 'init', 'business_onepage_posttype_init' );
if ( !function_exists( 'business_onepage_posttype_init' ) ) :
function business_onepage_posttype_init() {

    $onepage_labels = array(
        'name' => _x('OnePage Section', 'post type general name','business-x'),
        'singular_name' => _x('OnePage', 'post type singular name','business-x'),
        'add_new' => _x('Add New Section', 'Section','business-x'),
        'add_new_item' => __('Add New Section','business-x'),
        'edit_item' => __('Edit Section','business-x'),
        'new_item' => __('New Section','business-x'),
        'all_items' => __('All Sections','business-x'), 
        'view_item' => __('View Section','business-x'),
        'search_items' => __('Search Section','business-x'),
        'not_found' =>  __('No Section found','business-x'),
        'not_found_in_trash' => __('No Sections found in Trash','business-x'), 
        'parent_item_colon' => '',
        'menu_name' => __('OnePage Section','business-x')

    );
    $onepage_args = array(
        'labels' => $onepage_labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,  
        'show_in_menu' => true, 
        'query_var' => false,
        'rewrite' => false,
        'capability_type' => 'page',
        'has_archive' => false, 
        'hierarchical' => false,
        'exclude_from_search' => true,
        'menu_position' => 6,
        'menu_icon' => get_template_directory_uri().'/assets/img/admin/icon-onepage.png', 
        'supports' => array( 'title','editor','revisions','page-attributes' ) 
    ); 
    register_post_type( 'onepage', $onepage_args );

 }
endif;


