<?php
/**
 * Create and define the shortcodes
 *
 * @package ZillaShortcodes
 * @since  1.0
 */


/*-----------------------------------------------------------------------------------*/
/* Section title Shortcode
/*-----------------------------------------------------------------------------------*/


if(! function_exists('business_section_title')) {
  function business_section_title( $atts, $content = null ){

    $line_image = 'image url';
    extract(shortcode_atts(array(
      'title'        => 'Title',
      'line_image'   => $line_image,
      'sub_title'    => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
      'alt'          => '#',
      ), $atts));

    echo '
          <div class="section-title">
            <div class="container-fluid">
                <div class="row">
                 <!-- main title -->
                    <div class="col-md-12">
                        <h2>'.$title.'</h2>
                        <img src="'.$line_image.'" alt="'.$alt.'" />
                        <p>'.$sub_title.'</p>
                    </div>
                </div>
            </div>
          </div>
        ';
  }
  add_shortcode('section_title', 'business_section_title');
}


/*-----------------------------------------------------------------------------------*/
/* Service Shortcode
/*-----------------------------------------------------------------------------------*/

if (!function_exists('service')) {
  function service( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 6,
      'post_type' => 'service',
      'order'     => 'ASC', 
      ), $atts));
    
    global $post,$business_Options;

    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order,
    );

       // data store in variable
    $service_image_show_hide = $business_Options['_redux_service_image_show_hide'];
    if($service_image_show_hide == false ? $image_hide_show = 'display:none;' : $image_hide_show = 'display:block' );
     $service_middle_image = $business_Options['_redux_service_middle_image']['url'];
     $service_middle_image_alt_text = $business_Options['_redux_service_middle_image_alt_text'];

     $myposts = NEW WP_Query($args); 

     echo '<div class="service-sections"><div class="container"><div class="row"><div class="col-md-12">';  

     $single_service = '';
     $i = 0;

     if($myposts->have_posts()) :

      while ( $myposts->have_posts()) {
        $i++;
        $myposts->the_post();
        $f_icon = get_post_meta( $post->ID, '_cmb_service_icon', true );           
        $title = get_the_title();
        $content = get_the_content();

        if( isset($service_middle_image) && !empty($service_middle_image) && $i == 4):
                          $single_service .= "       
                </div>
                <div style='{$image_hide_show}' class='col-md-12'>
                    <div class='it-awesome-img reveal-right-delay'>
                        <img src='{$service_middle_image}' alt='{$service_middle_image_alt_text}'>
                    </div>
                </div>
                <div class='col-md-12'>
                  ";
                endif;

                        $single_service .= "

              <div class='col-md-4 col-sm-6 reveal-right-delay'>
                  <div class='single-service single-service-bottom'>
                      <div class='heading'>
                          <span class='icon'><i class='fa {$f_icon}' aria-hidden='true'></i></span>
                          <h5 class='title font-black text-uppercase'><a href='#'>{$title}</a></h5>
                      </div>
                      <p>
                          {$content}
                      </p>
                  </div>
              </div>
              ";

        } //end while      
      endif;
      echo $single_service;
      ?>

      <?php echo '</div></div></div></div>'; ?>

      <?php 
      wp_reset_query(); 
    }
    add_shortcode('service', 'service');
}



 /*-----------------------------------------------------------------------------------*/
/* portfolios Shortcode
/*-----------------------------------------------------------------------------------*/

if (!function_exists('portfolios')) {
  function portfolios( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 8,
      'post_type' => 'portfolios', 
      'order'     => 'ASC', 
      ), $atts));
    
    global $post;
    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order
    );

    $myposts = NEW WP_Query($args); 

    echo '<div class="business-x-portfolio"><div class="container"><div class="row" id="portfolio1"><div id="Portfolios" class="owl-carousel owl-theme portfolio1">';  

    $single_screenshot = '';
    $i = 0;

    if($myposts->have_posts()) :
 
       while ( $myposts->have_posts()) {
        $i++;
        $myposts->the_post();
        $the_id = get_the_id();
        $alt_text = get_post_meta( $post->ID, '_cmb_portfolio_image_alt', true );  
        $portfolio_image = get_post_meta( $post->ID, '_cmb_portfolio_image', true );

                   if(($i == ($i % 2 == 1))):
                      $single_screenshot .= "<div class='shot'> ";
                   endif;

                      $single_screenshot .= " <a href='{$portfolio_image}' data-lightbox-gallery='gallery1'><img src='{$portfolio_image}' alt='{$alt_text}'></a> ";
            
                   if(($i == ($i % 2 == 0))):
                      $single_screenshot .= "</div> ";
                   endif;         
        } //end while   
                  
      endif;
      echo $single_screenshot;
      ?>

      <?php echo '</div></div></div></div>'; ?>

      <?php 
      wp_reset_query(); 
    }
    add_shortcode('portfolios', 'portfolios');
}




/*-----------------------------------------------------------------------------------*/
/* Testimonial Shortcode
/*-----------------------------------------------------------------------------------*/

if (!function_exists('testimonial')) {
  function testimonial( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 3,
      'post_type' => 'testimonial',
      'order'     => 'ASC', 
      ), $atts));
    
    global $post;
    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order,
    );

    $myposts = NEW WP_Query($args); 
    $quote_carousel_id = 'quote-carousel-'.$post->ID;

    echo '<div class="app-testimonial"><div class="container"><div class="row"><div class="col-md-12"><div class="carousel slide quote-carousel" data-ride="carousel" id="'.$quote_carousel_id.'">';  

    $single_testimonial = '';
    $i = 0;

    if($myposts->have_posts()) :
      $single_testimonial .= "<div class='carousel-inner text-center'>";
      while ( $myposts->have_posts()) {
        $myposts->the_post();
        $title = get_the_title();
        $content = get_the_content();
        if($i == 0 ? $active = "active" : $active = "");

          $single_testimonial .= "
            <div class='item {$active}'>
                    <blockquote>
                        <div class='row'>
                            <div class='col-sm-8 col-sm-offset-2'>
                                <p>{$content}</p>
                                <small>{$title}</small>
                            </div>
                        </div>
                    </blockquote>
                </div>
                ";
                $i++;
        } //end while 

        $single_testimonial .= "
          </div>
          <ol class='carousel-indicators'>";

            $j = 0;
            while ( $myposts->have_posts()) {

              if($j == 0 ? $active = "active" : $active = ""); 
                $myposts->the_post();
                $client_image = get_post_meta( $post->ID, '_cmb_client_image', true );
              $single_testimonial .= "
              <li data-target='#$quote_carousel_id' data-slide-to='{$j}' class='{$active}'><img class='img-responsive ' src='{$client_image}' alt='testimonial'>
              </li>
              ";
              $j++;
        } //end while 

        $single_testimonial .= "
          </ol>
          <a data-slide='prev' href='#$quote_carousel_id' class='left carousel-control'><i class='fa fa-chevron-left'></i></a>
          <a data-slide='next' href='#$quote_carousel_id' class='right carousel-control'><i class='fa fa-chevron-right'></i></a>
          ";

      endif;
      echo $single_testimonial;
      ?>

      <?php echo '</div></div></div></div></div>'; ?>

      <?php 
      wp_reset_query(); 
    }
    add_shortcode('testimonial', 'testimonial');
}



/*-----------------------------------------------------------------------------------*/
/* Pricing table Shortcode
/*-----------------------------------------------------------------------------------*/

if (!function_exists('pricing_table')) {
  function pricing_table( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 3,
      'post_type' => 'pricing', 
      'order'     => 'ASC'
      ), $atts));
    
    global $post;
    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order,
    );

    $myposts = NEW WP_Query($args); 

    echo '<div id="business-plans" class="business-plans-style"><div class="container"><div class="row">';  

    $single_pri_table = '';
    $i = 0;

    if($myposts->have_posts()) :

      while ( $myposts->have_posts()) {
        $i++;
        $myposts->the_post();
        $title = get_the_title();
        $content = get_the_content();
        $pricing_text_money = get_post_meta( $post->ID, '_cmb_pricing_text_money', true );  
        $pricing_duration = get_post_meta( $post->ID, '_cmb_pricing_duration', true );
        $pricing_button_text = get_post_meta( $post->ID, '_cmb_pricing_button_text', true );
        $pricing_icon = get_post_meta( $post->ID, '_cmb_pricing_icon', true );
        $pricing_button_url = get_post_meta( $post->ID, '_cmb_pricing_button_url', true );

          $single_pri_table .= "
            <div class='bond-price-table col-md-4 col-sm-6 reveal-left-fade'>
                <div class='bond-price-inner bg-ff'>
                    <h2 class='box-title'>{$title}</h2>
                    <div class='price'>
                        <span>{$pricing_text_money}</span>
                        <p>{$pricing_duration}</p>
                    </div>
                    <div class='box-icon'></div>
                    <div class='content'>{$content}</div>
                    <a href='{$pricing_button_url}' class='a-btn btn-more btn-plan-sing'><i class='fa {$pricing_icon}' aria-hidden='true'></i>{$pricing_button_text}</a>
                </div>
            </div>
          ";
      } //end while      
    endif;
      echo $single_pri_table;
    ?>

    <?php echo '</div></div></div>'; ?>

      <?php 
      wp_reset_query(); 
    }
    add_shortcode('pricing_table', 'pricing_table');
}


                /*-----------------------------------------------------------------------------------*/
/* Blog post Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('blog_post')) {
  function blog_post( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'posts_per_page' => 2,
      'post_type' => 'post',
      'order'     => 'ASC', 
      ), $atts));
    
    global $post;

    $args = array(
      'posts_per_page' => $posts_per_page,
      'post_type' => $post_type,
      'order'     => $order,
    );

    $myposts = NEW WP_Query($args); 

    $single_post = '';

    if($myposts->have_posts()) :
      $single_post .= '<div class="business-x-blog"><div class="container"><div class="row"><div class="all-blogs">'; 
      while ( $myposts->have_posts()) {
        $myposts->the_post();
        $post_thumb = get_the_post_thumbnail( $post->ID, 'business_blog_image_size', array( 'class' => 'business-blog-post' ) );
        $post_permalink = get_permalink();
        $post_date = get_the_date( 'd-m-Y', $post->ID );

            $single_post .= "
              <div class='col-md-4 col-sm-6'>
                  <div class='single-blog-item'>
                      <div class='blog-photo'>
                       ";  
                       $single_post .= $post_thumb ;   
               $single_post .= "           
                          <div class='blog-post-date'>
                              <h3>{$post_date}</h3>
                          </div>
                          <div class='blog-dtls-link'>
                            <a href='{$post_permalink}'>Check Details <i class='fa fa-share' aria-hidden='true'></i></a>
                          </div>
                      </div>
                  </div>
              </div>
            ";

        } //end while  

        $single_post .= '</div></div></div></div>'; 
        echo $single_post;   
      endif;
      
      ?>


      <?php 
      wp_reset_query(); 
    }
    add_shortcode('blog_post', 'blog_post');
}


/*-----------------------------------------------------------------------------------*/
/* Why choose us Shortcode
/*-----------------------------------------------------------------------------------*/

if (!function_exists('why_choose')) {
  function why_choose( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'title' => Null
      ), $atts));
    global $business_Options; 
    $why_choose_business_images = $business_Options['_redux_why_choose_business_images']['url'];
    $why_choose_image_alt_text = $business_Options['_redux_why_choose_image_alt_text'];
    $why_choose_contents    = $business_Options['_redux_why_choose_content'];

    $why_choose_content = '';
    $why_choose_content .= "
        <div class='business-x-why-choose'>
            <div class='container'>
                <div class='row'>
                    <div class='col-md-6 reveal-left-fade'>
                        <div class='phone-image'>
                            <img src='{$why_choose_business_images}' alt='{$why_choose_image_alt_text}'>
                        </div>
                    </div>
                    <div class='col-md-6 left-align reveal-right-fade'> ";
                      if(isset($title)){
                        $why_choose_content .= "<h3>{$title}</h3>";
                      } 
                      $why_choose_content .= "{$why_choose_contents}
                    </div>
                </div>
            </div>
        </div>
        "; 
        echo $why_choose_content;   
    }
    add_shortcode('why_choose', 'why_choose');
}


              /*-----------------------------------------------------------------------------------*/
/* Divider Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('divider')) {
  function divider( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'divider_container' => 'container',
      'margin_top'        => '20px',
      'margin_bottom'     => '20px'
      ), $atts));
    
    echo '<div class="divider-style '.$divider_container.'" style="margin-top:'.$margin_top.' !important; margin-bottom:'.$margin_bottom.' !important; padding:0 !important"><hr><div class="element-line"></div></div>';
  }
  add_shortcode('divider', 'divider');
}


/*-----------------------------------------------------------------------------------*/
/*  container Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('container')) {
  function container( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'bg_color'      => '#fff',
      'margin_top'    => '0px',
      'padding_top'   => '30px',
      'padding_bottom'=> '10px',
      'padding_left'  => '10px',
      'padding_right' => '10px',
      ), $atts));

    echo '<div class="shortcode-container"><div class="container" style="margin-top:'.$margin_top.' !important;padding:0 !important;">'. do_shortcode($content) .'</div></div>';
  }
  add_shortcode('container', 'container');
}



/*-----------------------------------------------------------------------------------*/
/*  Column Shortcodes
/*-----------------------------------------------------------------------------------*/


if ( !function_exists('zilla_column') ) {
  function zilla_column( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'column' => 'one-third',
      'last' => false
      ), $atts));

    $last_class = '';
    $last_div = '';
    if( $last ) {
      $last_class = ' zilla-column-last';
      $last_div = '<div class="clear"></div>';
    }

    return '<div class="zilla-' . $column . $last_class . '">' . do_shortcode($content) . '</div>' . $last_div;
  }
  add_shortcode('zilla_column', 'zilla_column');
}

/* Legacy shortcodes --- */

if (!function_exists('zilla_one_third')) {
  function zilla_one_third( $atts, $content = null ) {
   return '<div class="zilla-one-third">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_third', 'zilla_one_third');
}

if (!function_exists('zilla_one_third_last')) {
  function zilla_one_third_last( $atts, $content = null ) {
   return '<div class="zilla-one-third zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_third_last', 'zilla_one_third_last');
}

if (!function_exists('zilla_two_third')) {
  function zilla_two_third( $atts, $content = null ) {
   return '<div class="zilla-two-third">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_two_third', 'zilla_two_third');
}

if (!function_exists('zilla_two_third_last')) {
  function zilla_two_third_last( $atts, $content = null ) {
   return '<div class="zilla-two-third zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_two_third_last', 'zilla_two_third_last');
}

if (!function_exists('zilla_one_half')) {
  function zilla_one_half( $atts, $content = null ) {
   return '<div class="zilla-one-half">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_half', 'zilla_one_half');
}

if (!function_exists('zilla_one_half_last')) {
  function zilla_one_half_last( $atts, $content = null ) {
   return '<div class="zilla-one-half zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_half_last', 'zilla_one_half_last');
}

if (!function_exists('zilla_one_fourth')) {
  function zilla_one_fourth( $atts, $content = null ) {
   return '<div class="zilla-one-fourth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_fourth', 'zilla_one_fourth');
}

if (!function_exists('zilla_one_fourth_last')) {
  function zilla_one_fourth_last( $atts, $content = null ) {
   return '<div class="zilla-one-fourth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_fourth_last', 'zilla_one_fourth_last');
}

if (!function_exists('zilla_three_fourth')) {
  function zilla_three_fourth( $atts, $content = null ) {
   return '<div class="zilla-three-fourth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_three_fourth', 'zilla_three_fourth');
}

if (!function_exists('zilla_three_fourth_last')) {
  function zilla_three_fourth_last( $atts, $content = null ) {
   return '<div class="zilla-three-fourth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_three_fourth_last', 'zilla_three_fourth_last');
}

if (!function_exists('zilla_one_fifth')) {
  function zilla_one_fifth( $atts, $content = null ) {
   return '<div class="zilla-one-fifth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_fifth', 'zilla_one_fifth');
}

if (!function_exists('zilla_one_fifth_last')) {
  function zilla_one_fifth_last( $atts, $content = null ) {
   return '<div class="zilla-one-fifth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_fifth_last', 'zilla_one_fifth_last');
}

if (!function_exists('zilla_two_fifth')) {
  function zilla_two_fifth( $atts, $content = null ) {
   return '<div class="zilla-two-fifth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_two_fifth', 'zilla_two_fifth');
}

if (!function_exists('zilla_two_fifth_last')) {
  function zilla_two_fifth_last( $atts, $content = null ) {
   return '<div class="zilla-two-fifth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_two_fifth_last', 'zilla_two_fifth_last');
}

if (!function_exists('zilla_three_fifth')) {
  function zilla_three_fifth( $atts, $content = null ) {
   return '<div class="zilla-three-fifth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_three_fifth', 'zilla_three_fifth');
}

if (!function_exists('zilla_three_fifth_last')) {
  function zilla_three_fifth_last( $atts, $content = null ) {
   return '<div class="zilla-three-fifth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_three_fifth_last', 'zilla_three_fifth_last');
}

if (!function_exists('zilla_four_fifth')) {
  function zilla_four_fifth( $atts, $content = null ) {
   return '<div class="zilla-four-fifth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_four_fifth', 'zilla_four_fifth');
}

if (!function_exists('zilla_four_fifth_last')) {
  function zilla_four_fifth_last( $atts, $content = null ) {
   return '<div class="zilla-four-fifth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_four_fifth_last', 'zilla_four_fifth_last');
}

if (!function_exists('zilla_one_sixth')) {
  function zilla_one_sixth( $atts, $content = null ) {
   return '<div class="zilla-one-sixth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_one_sixth', 'zilla_one_sixth');
}

if (!function_exists('zilla_one_sixth_last')) {
  function zilla_one_sixth_last( $atts, $content = null ) {
   return '<div class="zilla-one-sixth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_one_sixth_last', 'zilla_one_sixth_last');
}

if (!function_exists('zilla_five_sixth')) {
  function zilla_five_sixth( $atts, $content = null ) {
   return '<div class="zilla-five-sixth">' . do_shortcode($content) . '</div>';
 }
 add_shortcode('zilla_five_sixth', 'zilla_five_sixth');
}

if (!function_exists('zilla_five_sixth_last')) {
  function zilla_five_sixth_last( $atts, $content = null ) {
   return '<div class="zilla-five-sixth zilla-column-last">' . do_shortcode($content) . '</div><div class="clear"></div>';
 }
 add_shortcode('zilla_five_sixth_last', 'zilla_five_sixth_last');
}




/*-----------------------------------------------------------------------------------*/
/*  Tabs Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('zilla_tabs')) {
  function zilla_tabs( $atts, $content = null ) {
    $defaults = array();
    extract( shortcode_atts( $defaults, $atts ) );

    STATIC $i = 0;
    $i++;

    // Extract the tab titles for use in the tab widget.
    preg_match_all( '/tab title="([^\"]+)"/i', $content, $matches, PREG_OFFSET_CAPTURE );

    $tab_titles = array();
    if( isset($matches[1]) ){ $tab_titles = $matches[1]; }

    $output = '';

    if( count($tab_titles) ){
      $output .= '<div id="zilla-tabs-'. $i .'" class="zilla-tabs"><div class="zilla-tab-inner">';
      $output .= '<ul class="zilla-nav zilla-clearfix">';

      foreach( $tab_titles as $tab ){
        $output .= '<li><a href="#zilla-tab-'. sanitize_title( $tab[0] ) .'">' . $tab[0] . '</a></li>';
      }

      $output .= '</ul>';
      $output .= do_shortcode( $content );
      $output .= '</div></div>';
    } else {
      $output .= do_shortcode( $content );
    }

    return $output;
  }
  add_shortcode( 'zilla_tabs', 'zilla_tabs' );
}

if (!function_exists('zilla_tab')) {
  function zilla_tab( $atts, $content = null ) {
    $defaults = array( 'title' => 'Tab' );
    extract( shortcode_atts( $defaults, $atts ) );

    return '<div id="zilla-tab-'. sanitize_title( $title ) .'" class="zilla-tab">'. do_shortcode( $content ) .'</div>';
  }
  add_shortcode( 'zilla_tab', 'zilla_tab' );
}


/*-----------------------------------------------------------------------------------*/
/*  Buttons
/*-----------------------------------------------------------------------------------*/

if (!function_exists('zilla_button')) {
  function zilla_button( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'url' => '#',
      'text_color' => '#000',
      'font_size' => '20px',
      'bg_color' => '#fff',
      'border' => '2px solid #ddd',
      'border_radius' => '5px',
      'button_padding' => '10px 15px',
      'icon'    => 'fa-sign-in',
      'icon_size'    => '20px',
      'icon_color' => '#000',
      'icon_padding' => '0 15px 0 0',
      'target' => '_self',
      'hover_color' => '#EF1767',
      'hover_bg_color' => '#fff',
      'hover_border' => '2px solid #EF1767',
      'hover_icon_color' => '#EF1767'
      ), $atts)); ?>

    <style>
      .business-btn-shortcode, .business-btn-shortcode i{
        -webkit-transition: all 300ms ease-in-out !important;
        transition: all 300ms ease-in-out !important;     
      }
      .business-btn-shortcode:hover{
        color:<?php echo $hover_color; ?> !important;
        background: <?php echo $hover_bg_color; ?>  !important;
        border: <?php echo $hover_border; ?> !important;
        -webkit-transition: all 300ms ease-in-out !important;
        transition: all 300ms ease-in-out !important;
      }
      .business-btn-shortcode:hover i{
        color: <?php echo $hover_icon_color; ?> !important;
        -webkit-transition: all 300ms ease-in-out !important;
        transition: all 300ms ease-in-out !important;
      }
    </style>

    <?php 
    return '<a href="'.$url.'" style="font-size:'.$font_size.';color:'.$text_color.';border:'.$border.'; border-radius:'.$border_radius.';padding:'.$button_padding.';background:'.$bg_color.';" class="business-btn-shortcode" target="'.$target.'"><i style="font-size:'.$icon_size.';color:'.$icon_color.';padding:'.$icon_padding.';" class="fa '.$icon.'" aria-hidden="true"></i>'.do_shortcode($content).'</a>';

  }
  add_shortcode('zilla_button', 'zilla_button');
}


/*-----------------------------------------------------------------------------------*/
/*  Alerts
/*-----------------------------------------------------------------------------------*/

if (!function_exists('alert')) {
  function alert( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'style'   => ''
      ), $atts));
    
    return '<div class="alert '.$style.' alert-dismissable">' . do_shortcode($content) . '<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button></div>';
  }
  add_shortcode('alert', 'alert');
}


/*-----------------------------------------------------------------------------------*/
/*  Tabs Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('tabs')) {
  function tabs( $atts, $content = null ) {
    $defaults = array();
    extract( shortcode_atts( $defaults, $atts ) );
    
    STATIC $i = 0;
    $i++;
    
    // Extract the tab titles for use in the tab widget.
    preg_match_all( '/tab title="([^\"]+)"/i', $content, $matches, PREG_OFFSET_CAPTURE );

    $tab_titles = array();
    if( isset($matches[1]) ){ $tab_titles = $matches[1]; }
    $output = '';
    
    if( count($tab_titles) ){
      //$output .= '<div id="tabs-'. $i .'" class="tabs">';
      $output .= '<ul class="nav-tabs">';
      foreach( $tab_titles as $tab ){
        STATIC $count_element = 0;
        $count_element++;
        
        if($count_element <= 1){
          $class=" class='active'";
        }else{
          $class="";
        }

        $output .= '<li'.$class.'><a data-toggle="tab" href="#tab'.sanitize_title( $tab[0] ) .'">' . $tab[0] . '</a></li>';
      }

      $output .= '</ul>';
      $output .= '<div class="tab-content">';
      $output .= do_shortcode( $content );
      $output .= '</div>';
      //$output .= '</div>';
      
    } else {
      $output .= do_shortcode( $content );
    }
    
    return $output;
  }
  add_shortcode( 'tabs', 'tabs' );
}

if (!function_exists('tab')) {
  function tab( $atts, $content = null ) {
    $defaults = array( 'title' => 'Tab' );
    extract( shortcode_atts( $defaults, $atts ) );
    
    STATIC $count_element = 0;
    $count_element++;
    
    if($count_element <= 1){
      $class="active in";
    }else{
      $class="";
    }
    
    return '<div id="tab'. sanitize_title( $title ) .'" class="tab-pane fade '.$class.'">'. do_shortcode( $content ) .'</div>';
  }
  add_shortcode( 'tab', 'tab' );
}


/*-----------------------------------------------------------------------------------*/
/*  Accordions Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('accordions')) {
  function accordions( $atts, $content = null ) {
    $defaults = array();
    extract( shortcode_atts( $defaults, $atts ) );
    
    $output = '<div class="panel-group" id="accordion">';
    $output .= do_shortcode( $content );
    $output .= '</div>';
    
    return $output;
  }
  add_shortcode( 'accordions', 'accordions' );
}

if (!function_exists('accordion')) {
  function accordion( $atts, $content = null ) {
    $defaults = array( 'title' => 'Tab' );
    extract( shortcode_atts( $defaults, $atts ) );
    
    STATIC $i = 0;
    $i++;
    
    if($i > 1){
      $class = "class='collapsed'";
      $class_div = "";
      $fa = "fa-plus";
    }else{
      $class = "";
      $class_div = "in";
      $fa = "fa-minus";
    }
    
    return '<div class="panel panel-default">
              <div class="panel-heading">
                <h4 class="panel-title">
                  <a data-toggle="collapse" '.$class.' data-parent="#accordion" href="#collapse'.$i.'">'.$title.'<i class="fa '.$fa.' accordion-icon pull-right"></i></a>
                </h4>
              </div>
              <div id="collapse'.$i.'" class="panel-collapse collapse '.$class_div.'">
                <div class="panel-body">
                  <p>'.do_shortcode( $content ).'</p>
                </div>
              </div>
            </div>';
          }
          add_shortcode( 'accordion', 'accordion' );
        }


        /*-----------------------------------------------------------------------------------*/
/*  Socian Icons Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('social_icon')) {
  function social_icon( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'title'  => '',
      'icon'   => '',
      'payoff' => "",
      'url'    => "",
      'target' => "",
      ), $atts));
    
      return '<div class="element-line">
                <div class="social-link">
                  <div class="text-center">
                    <div class="hi-icon-effect-1">
                      <a href="'.$url.'" target="'.$target.'" class=""> <i class="hi-icon fa '.$icon.' fa-4x"></i> </a>
                    </div>
                    <span>'.$title.'</span>
                    <p class="lead hidden-xs">'.$payoff.'</p>
                  </div>
                </div>
              </div>';
            }
            add_shortcode('social_icon', 'social_icon');
          }

          /*-----------------------------------------------------------------------------------*/
/* Content Box Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('content_box')) {
  function content_box( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'title'   => 'Title',
      'icon' => '',
      'link' => '',
      'style' => '',
      'text_color'=>''
      ), $atts));
    
    $icon_code = '';
    
    if($style =='style1'){
      if(!empty($icon)) $icon_code = '<i class="fa '.$icon.' fa-4x"></i>';
    }elseif($style =='style2'){
      if(!empty($icon)) $icon_code = '<i class="fa '.$icon.' fa-5x"></i>';
    }

    if(trim($link) != ''){
      $link = '<a href="'.$link.'">';
    }else{
      $link = '<a>';
    }
    
    if($style =='style1'){
        return '
        <div class="element-line">
          <div class="content-box text-center '.$text_color.'">
            '.$link.'.
              '.$icon_code.'
              <h4>'. $title .'</h4>
              <p>'.do_shortcode( $content ).'</p>
            </a>
          </div>
        </div>'
        ;}
        elseif($style =='style2'){
        return '
        <div class="element-line">
          <div class="service-items text-center '.$text_color.'">
            '.$link.'.
              '.$icon_code.' 
              <h3>'. $title .'</h3>
            </a>
            <p>'.do_shortcode( $content ).'</p>
          </div>
        </div>'
        ;}
      }
      add_shortcode('content_box', 'content_box');
    }

    /*-----------------------------------------------------------------------------------*/
/* Image Box Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('image_box')) {
  function image_box( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'image'   => '',
      'image_style'   => '',
      'url'   => '',
      'title'   => '',
      'image_animation' => ""
      ), $atts));
    
    $icon_code = '';
    
    if(trim($url != '')){
      $link = 'href="'.$url.'"';
    }else{
      $link = '';
    }

    return '
    <div class="element-line">
      <div class="media">
        <a class="pull-left '.$image_animation.'" '.$link.'> <img class="media-object '.$image_style.'" src="'.$image.'" alt="'.$title.'"> </a>
        <div class="media-body text-left">
          <h3 class="media-heading">'.$title.'</h3>
          <p>'.do_shortcode($content).'</p>
        </div>
      </div>
    </div>';

  }
  add_shortcode('image_box', 'image_box');
}

/*-----------------------------------------------------------------------------------*/
/* Number Details Shortcodes
/*-----------------------------------------------------------------------------------*/


if (!function_exists('number_details')) {
  function number_details( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'icon'   => 'fa-thumbs-o-up',
      'number'   => '100',
      'number_details' => ''
      ), $atts));
    
     return '<div class="number-counters text-center">
               <div class="counters-item element-line">
                 <i class="fa '.$icon.' fa-4x"></i>
                 <strong data-to="'.$number.'">'.$number.'</strong>
                 <p class="lead">'.$number_details.'</p>
               </div>
             </div>';
           }
           add_shortcode('number_details', 'number_details');
         }

         /*-----------------------------------------------------------------------------------*/
/*  Contact Details Shortcodes
/*-----------------------------------------------------------------------------------*/

if (!function_exists('contact_details')) {
  function contact_details( $atts, $content = null ) {
    extract(shortcode_atts(array(
      'phone' => '',
      'address' => '',
      'fax' => '',
      'mail'=>''
      ), $atts));
    
    echo '<div class="text-center contact-content">';
    if(trim($phone)){
      echo '<h1><i class="fa fa-mobile fa-5x"></i></h1><span class="call-number">'.$phone.'</span>';
    }
    echo '  <ul class="info-address-list">';
    if(trim($address)){
      echo '  <li class="lead"><span><i class="fa fa-map-marker fa-lg"></i> '.__('Address','business-x').': </span><p>'.$address.'</p></li>';
    }
    if(trim($fax)){
      echo '  <li class="lead"><span><i class="fa fa-print fa-lg"></i> '.__('Fax','business-x').': </span><p>'.$fax.'</p></li>';
    }
    if(trim($mail)){
      echo '  <li class="lead"><span><i class="fa fa-envelope fa-lg"></i> '.__('Mail','business-x').': </span><a href="mailto:'.$mail.'">'.$mail.'</a></li>';
    }
    echo '  </ul></div>';
  }
  add_shortcode('contact_details', 'contact_details');
}

/*-----------------------------------------------------------------------------------*/
/*  Video
/*-----------------------------------------------------------------------------------*/

if (!function_exists('video')) {
  function video( $atts, $content = null ) {
    extract(shortcode_atts(array(
      ), $atts));
    return '<div class="element-line">'.do_shortcode($content).'</div>';
  }
  add_shortcode('video', 'video');
}



?>